## org.apache.solr.client.solrj.response
Class DocumentAnalysisResponse

    java.lang.Object
      org.apache.solr.client.solrj.SolrResponse
          org.apache.solr.client.solrj.response.SolrResponseBase
              org.apache.solr.client.solrj.response.AnalysisResponseBase
                  org.apache.solr.client.solrj.response.DocumentAnalysisResponse

All Implemented Interfaces:
  Serializable, Iterable<Map.Entry<String,DocumentAnalysisResponse.DocumentAnalysis>>

    public class DocumentAnalysisResponse

extends AnalysisResponseBase
implements Iterable<Map.Entry<String,DocumentAnalysisResponse.DocumentAnalysis>>

A response that is returned by processing the `DocumentAnalysisRequest`. Holds a map of `DocumentAnalysisResponse.DocumentAnalysis` objects by a document id (unique key).

Since:
  solr 1.4
Version:
  $Id: DocumentAnalysisResponse.java 823653 2009-10-09 18:27:13Z hossman $
See Also:
  Serialized Form

Nested Class Summary
`static class` `DocumentAnalysisResponse.DocumentAnalysis` An analysis process breakdown of a document.
`static class` `DocumentAnalysisResponse.FieldAnalysis` An analysis process breakdown for a specific field.

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.response.AnalysisResponseBase
`AnalysisResponseBase.AnalysisPhase, AnalysisResponseBase.TokenInfo`

Constructor Summary
`DocumentAnalysisResponse()`

Method Summary
`int` `getDocumentAnalysesCount()` Returns the number of document analyses in this response.
`DocumentAnalysisResponse.DocumentAnalysis` `getDocumentAnalysis(String documentKey)` Returns the document analysis for the document associated with the given unique key (id), `null` if no such association exists.
`Iterator<Map.Entry<String,DocumentAnalysisResponse.DocumentAnalysis>>` `iterator()` Returns an iterator over the document analyses map.
`void` `setResponse(NamedList<Object> response)`

Methods inherited from class org.apache.solr.client.solrj.response.AnalysisResponseBase
`buildPhases, buildTokenInfo`

Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase
`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentAnalysisResponse

    public DocumentAnalysisResponse()

Method Detail

### setResponse

    public void setResponse(NamedList<Object> response)

  Overrides:
    `setResponse` in class `SolrResponseBase`

### getDocumentAnalysesCount

    public int getDocumentAnalysesCount()

  Returns the number of document analyses in this response.

  Returns:
    The number of document analyses in this response.

### getDocumentAnalysis

    public DocumentAnalysisResponse.DocumentAnalysis getDocumentAnalysis(String documentKey)

  Returns the document analysis for the document associated with the given unique key (id), `null` if no such association exists.

  Parameters:
    `documentKey` - The document unique key.
  Returns:
    The document analysis for the document associated with the given unique key (id).

### iterator

    public Iterator<Map.Entry<String,DocumentAnalysisResponse.DocumentAnalysis>> iterator()

  Returns an iterator over the document analyses map.

  Specified by:
    `iterator` in interface `Iterable<Map.Entry<String,DocumentAnalysisResponse.DocumentAnalysis>>`
  Returns:
    An iterator over the document analyses map.

Copyright © 2011 Apache Software Foundation. All Rights Reserved.